END(7)

NAME
END - commit the current transaction

SYNOPSIS

END [ WORK | TRANSACTION ] [ AND [ NO ] CHAIN ]

DESCRIPTION

END commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs. This command is a PostgreSQL extension that is equivalent to COMMIT.

PARAMETERS

WORK
TRANSACTION
    Optional key words. They have no effect.

AND CHAIN
    If AND CHAIN is specified, a new transaction is immediately started with the same transaction characteristics (see SET TRANSACTION (SET_TRANSACTION(7))) as the just finished one. Otherwise, no new transaction is started.

NOTES

Use ROLLBACK to abort a transaction.

Issuing END when not inside a transaction does no harm, but it will provoke a warning message.

EXAMPLES

To commit the current transaction and make all changes permanent:

    END;

COMPATIBILITY

END is a PostgreSQL extension that provides functionality equivalent to COMMIT, which is specified in the SQL standard.

SEE ALSO
BEGIN(7), COMMIT(7), ROLLBACK(7)